Organization invites

Streamline the invitation process for new members joining your organization.

Use this API to create and revoke invitations for new members. By automating invite flows, you can maintain a cohesive onboarding experience for collaborators and speed up team expansion.

Invite users in an organization

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

Body
roleone ofOptional

Default role to set on newly invited members.

string · enum · nullableOptional

"The role of a member in an organization. "admin": Can administrate the content: create, delete spaces, ... "create": Can create content. "review": Can review content. "edit": Can edit the content (live or change requests). "comment": Can access the content and its discussions. "read": Can access the content, but cannot update it in any way.

Possible values:
ssobooleanOptional

If true, invites the user as an SSO user of the organization. Defaults to false.

Responses
chevron-right
200

OK

application/json
usersstring[]Required

The unique identifiers of the users who were added to the organization

invitednumberRequired

The number of users who were added to the organization

failedSSOEmailsstring[]Optional

A list of emails who were invited to the organization, but who were not added as SSO users as they are members of another org

post
/orgs/{organizationId}/invites

Join an organization with an invite

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

inviteIdstringRequired

The unique id of the invite

Responses
chevron-right
200

OK

application/json
objectOptional
post
/orgs/{organizationId}/invites/{inviteId}
200

OK

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
chevron-right
200

List of invite links in the organization.

application/json
get
/orgs/{organizationId}/link-invites
200

List of invite links in the organization.

Create an organization invite

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

Body
or
or
Responses
post
/orgs/{organizationId}/link-invites
201

The organization invite has been created

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

inviteIdstringRequired

The unique id of the invite

Responses
chevron-right
200

Invite link in the organization.

application/json

An invite link created in an organization

or
or
get
/orgs/{organizationId}/link-invites/{inviteId}
200

Invite link in the organization.

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

inviteIdstringRequired

The unique id of the invite

Body
or
Responses
chevron-right
200

The organization invite has been updated

application/json

An invite link created in an organization

or
or
patch
/orgs/{organizationId}/link-invites/{inviteId}
200

The organization invite has been updated

Last updated

Was this helpful?